AutoMedTreeException
Keywords: uk.ac.ic.doc.automed.p2p.tree.AutoMedTreeException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p.tree
Class AutoMedTreeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              uk.ac.ic.doc.automed.AutoMedException
                  uk.ac.ic.doc.automed.p2p.tree.AutoMedTreeException

All Implemented Interfaces:
  java.io.Serializable

    public class AutoMedTreeException

extends AutoMedException

Author:
  Charis TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates
See Also:
  Serialized Form

Constructor Summary
`AutoMedTreeException()`
`AutoMedTreeException(java.lang.String message)`
`AutoMedTreeException(java.lang.String message, java.lang.Throwable cause)`
`AutoMedTreeException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class uk.ac.ic.doc.automed.AutoMedException
`getCause, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AutoMedTreeException

    public AutoMedTreeException()

### AutoMedTreeException

    public AutoMedTreeException(java.lang.String message)

Parameters:
  `message` -

### AutoMedTreeException

    public AutoMedTreeException(java.lang.Throwable cause)

Parameters:
  `cause` -

### AutoMedTreeException

    public AutoMedTreeException(java.lang.String message,
                                java.lang.Throwable cause)

Parameters:
  `message` -
  `cause` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD